### org.jfree.layouting.renderer.model

# Class FinishedRenderNode

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.FinishedRenderNode`

Implemented Interfaces:
  Cloneable

`public class FinishedRenderNode`
`extends RenderNode`

A box replacement. It has a predefined width and height and does not change those. It is a placeholder for all already printed content.

If you see this node inside an inline box, you can be sure you've shot yourself in the foot.

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `FinishedRenderNode(long layoutedWidth, long layoutedHeight, long effectiveMarginsTop, long effectiveMarginsBottom)`

  ## Method Summary

  `long`

  `getEffectiveMarginBottom()`

  `long`

  `getEffectiveMarginTop()`

  `long`

  `getLayoutedHeight()`

  `long`

  `getLayoutedWidth()`

  `boolean`

  `isDiscardable()`

  `boolean`

  `isEmpty()`

  `boolean`

  `isIgnorableForRendering()`
    If that method returns true, the element will not be used for rendering.

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### FinishedRenderNode

    public FinishedRenderNode(long layoutedWidth,
                              long layoutedHeight,
                              long effectiveMarginsTop,
                              long effectiveMarginsBottom)

## Method Details

### getEffectiveMarginBottom

    public long getEffectiveMarginBottom()

> Overrides:
>   getEffectiveMarginBottom in interface RenderNode

### getEffectiveMarginTop

    public long getEffectiveMarginTop()

> Overrides:
>   getEffectiveMarginTop in interface RenderNode

### getLayoutedHeight

    public long getLayoutedHeight()

### getLayoutedWidth

    public long getLayoutedWidth()

### isDiscardable

    public boolean isDiscardable()

> Overrides:
>   isDiscardable in interface RenderNode

### isEmpty

    public boolean isEmpty()

> Overrides:
>   isEmpty in interface RenderNode

### isIgnorableForRendering

    public boolean isIgnorableForRendering()

> If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

> If the element reports itself as non-empty, however, it will affect the margin computation.
> Overrides:
>   isIgnorableForRendering in interface RenderNode
> Returns: